/**
 * Application configuration
 */

import React from 'react';
import { BryntumGanttProps } from '@bryntum/gantt-react';
import GenericControl from './GenericControl';

const ganttConfig: BryntumGanttProps = {
    project : {
        autoLoad  : true,
        transport : {
            load : {
                url : 'data/launch-saas.json'
            }
        },
        // This config enables response validation and dumping of found errors to the browser console.
        // It's meant to be used as a development stage helper only so please set it to false for production systems.
        validateResponse : true
    },
    columns    : [
        { type : 'name', field : 'name', width : 300, editor: (ref) => <GenericControl dataType='String' ref={ref}></GenericControl> },
        { type : 'date', field : 'startDate', width : 120, text: "Start", editor: (ref) => <GenericControl dataType='Date' ref={ref}></GenericControl> },
        //{ type : 'date', field : 'endDate', width : 120, text: "End" },
        { field : 'color', width : 200, text: "Color", editor: (ref) => <GenericControl dataType='Color' ref={ref}></GenericControl> }
    ],
    viewPreset : 'weekAndDayLetter',
    barMargin  : 10
};

export { ganttConfig };
